package com.zd.laboratory.mapper;

import java.util.List;

import com.zd.laboratory.domain.LabHazardBook;

/**
 * 危化品安全技术说明书Mapper接口
 *
 * @author liubo
 * @date 2021-11-19
 */
public interface LabHazardBookMapper {
    /**
     * 查询危化品安全技术说明书
     *
     * @param id 危化品安全技术说明书主键
     * @return 危化品安全技术说明书
     */
    public LabHazardBook selectLabHazardBookById(Long id);

    /**
     * 查询危化品安全技术说明书列表
     *
     * @param labHazardBook 危化品安全技术说明书
     * @return 危化品安全技术说明书集合
     */
    public List<LabHazardBook> selectLabHazardBookList(LabHazardBook labHazardBook);

    /**
     * 新增危化品安全技术说明书
     *
     * @param labHazardBook 危化品安全技术说明书
     * @return 结果
     */
    public int insertLabHazardBook(LabHazardBook labHazardBook);

    /**
     * 修改危化品安全技术说明书
     *
     * @param labHazardBook 危化品安全技术说明书
     * @return 结果
     */
    public int updateLabHazardBook(LabHazardBook labHazardBook);

    /**
     * 删除危化品安全技术说明书
     *
     * @param id 危化品安全技术说明书主键
     * @return 结果
     */
    public int deleteLabHazardBookById(Long id);

    /**
     * 批量删除危化品安全技术说明书
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabHazardBookByIds(Long[] ids);

    /**
     * 查询危化品安全技术说明书关联的化学品列表
     *
     * @param labHazardBook 危化品安全技术说明书
     * @return 危化品安全技术说明书集合
     */
    public List<LabHazardBook> hazardBookJoinChemical(LabHazardBook labHazardBook);
}
